Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## XmlCommunication
Class XmlUnmarshal

    java.lang.Object
      XmlCommunication.XmlUnmarshal

public class XmlUnmarshal
extends java.lang.Object

Author:
  student This class is being used for interpreting the response xml packets

Constructor Summary
`XmlUnmarshal()`

Method Summary
`int` | `getNcbId()` This method is being used to get NcbId
`java.lang.String` | `getResponseGeneralCode()` Helper Methods
`java.lang.String` | `getResponseGeneralDescription()` This method is being used to get the ResponseGeneral description.
`UserData` | `getUser(UserData user)` This method is being used to get user data
`static java.lang.String` | `readNcbServiceResponse(java.lang.String input)` This method is being used to read Ncb Service Response
`java.lang.String` | `readResponse(java.lang.String input)` This method is being used for classifying the type of response and directing to the appropriate method for
`java.lang.String` | `responseEnquiryItem(ResponseEnquiryItem rei)` /** This method is being used to read TMS ReponseEnquiryItem
`java.lang.String` | `responseEnquiryNcbAddress(ResponseEnquiryNcbAddress rn)` This method is being used to read TMS ReponseEnquiryNcbAddress
`java.lang.String` | `responseEnquiryNcbService(ResponseEnquiryNcbService rens)` This method is being used to read TMS ReponseEnquiryNcbService
`java.lang.String` | `responseGeneral(ResponseGeneral rg)` This method is being used to read Response General
`java.lang.String` | `responseNcb(ResponseNcb rn)` This method is being used read TMS response NCB
`java.lang.String` | `responseReport(ResponseReport rr)` This method is being used to read TMS Response Report

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlUnmarshal

    public XmlUnmarshal()

Method Detail

### readResponse

    public java.lang.String readResponse(java.lang.String input)

  This method is being used for classifying the type of response and directing to the appropriate method for

  Parameters:
    `input` - TMS response string
  Returns:
    String TMS response interpreted.

### readNcbServiceResponse

    public static java.lang.String readNcbServiceResponse(java.lang.String input)

  This method is being used to read Ncb Service Response

  Parameters:
    `input` - TMS response
  Returns:
    String TMS reponse interpretation

### responseGeneral

    public java.lang.String responseGeneral(ResponseGeneral rg)

  This method is being used to read Response General

  Parameters:
    `rg` - Response General
  Returns:
    String Response General Interpretation.

### responseNcb

    public java.lang.String responseNcb(ResponseNcb rn)

  This method is being used read TMS response NCB

  Parameters:
    `rn` - Response NCB
  Returns:
    String

### responseReport

    public java.lang.String responseReport(ResponseReport rr)

  This method is being used to read TMS Response Report

  Parameters:
    `rr` - Response Report
  Returns:
    String

### responseEnquiryNcbService

    public java.lang.String responseEnquiryNcbService(ResponseEnquiryNcbService rens)

  This method is being used to read TMS ReponseEnquiryNcbService

  Parameters:
    `rens` - ReponseEnquiryNcbService
  Returns:
    String

### responseEnquiryNcbAddress

    public java.lang.String responseEnquiryNcbAddress(ResponseEnquiryNcbAddress rn)

  This method is being used to read TMS ReponseEnquiryNcbAddress

  Parameters:
    `rn` - ReponseEnquiryNcbAddress
  Returns:
    String

### responseEnquiryItem

    public java.lang.String responseEnquiryItem(ResponseEnquiryItem rei)

  /** This method is being used to read TMS ReponseEnquiryItem

  Parameters:
    `rei` - ReponseEnquiryItem
  Returns:
    String

### getResponseGeneralCode

    public java.lang.String getResponseGeneralCode()

  Helper Methods

### getResponseGeneralDescription

    public java.lang.String getResponseGeneralDescription()

  This method is being used to get the ResponseGeneral description.

  Returns:
    String

### getNcbId

    public int getNcbId()

  This method is being used to get NcbId

  Returns:
    int NcbId

### getUser

    public UserData getUser(UserData user)

  This method is being used to get user data

  Parameters:
    `user` - User data
  Returns:
    UserData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD